> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/llamalend/llamalendgetdebt.md).

# LlamaLendGetDebt

### Description

Action that returns users llamalend debt on a given market

### Action ID

`0x389418e6`

### SDK Action

```ts
const llamaLendGetDebtAction = new dfs.actions.llamalend.LlamaLendGetDebtAction(
    controllerAddr,
    debtor
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param controllerAddress Address of the llamalend market controller
    /// @param debtor Address which owns the llamalend position
    struct Params {
        address controllerAddress;
        address debtor;
    }
```

### Return Value

```solidity
return bytes32(debt);
```

### Events and Logs

```solidity
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/llamalend/llamalendgetdebt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
